<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;

class DeleteFiles extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'delete:files';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Delete the expired files';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $files = \App\Models\PatientFile::where('date_deletion', '<=', date('Y-m-d'))->get();
        foreach ($files as $i => $file) {
            Storage::disk('public')->delete('patients/files/'.$file->file);
            //dd($path);
            $file->delete();
        }
        //dd($files);
    }
}
