<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Gate;

class IndexController extends Controller
{
    public function index()
    {
        if(!Auth::user())
        {
            return redirect()->route('login');
        }           
        if(Gate::allows('isAdmin'))
        {
            // return view('admin.index');
            return redirect()->route('clinics.index');
        }
        if(Gate::allows('isClinic'))
        {
            $clinic = \App\Models\Clinic::where('user_id', Auth::user()->id)->first();
            return redirect()->route('clinics.show', $clinic->id);
        }
        /*if(Gate::allows('isPatient'))
        {
            return view('patients.index');
        } */       
    }
    
    public function queryForm(Request $request, $lang =null)
    {
        \Session::put('locale', $lang ?? 'fr');
        App::setLocale($lang ?? 'fr');
        /*phpinfo();*/
        //dd(DB::connection('sqlsrv')->table('View_OEORDH_WebINFO')->limit(10)->get());
        if(!empty($request->order_no) || !empty($request->client) || !empty($request->patient)) {
            $rows = DB::connection('sqlsrv')->table('View_OEORDH_WebINFO');
            if(!empty($request->order_no))
                $rows->where('No commande', $request->{'order_no'});
            if(!empty($request->client))
                $rows->where('Client', $request->{'client'});
            if(!empty($request->dentist))
                $rows->where('Dentiste', 'like', '%'.$request->{'dentist'}.'%');
            if(!empty($request->patient))
                $rows->where('Patient', 'like', '%'.$request->{'patient'}.'%');
            if(!empty($request->order_date))
                $rows->whereDate('Date commande', $request->{'order_date'});
            if(!empty($request->expected_delivery_date))
                $rows->whereDate('Date livraison prévue', $request->{'expected_delivery_date'});
            $rows = $rows->paginate(10);
            
            if($rows->count()) {                
                if($rows->count() > 1) {
                    return view('query_form/index', compact('rows'));
                } else {
                    return view('query_form/show', ['row'=>$rows[0]]);
                }
            }            
        }
        return view('query_form', ['rows'=>$rows ?? null]);
    }
    
    public function lang($lang) {
        \Session::put('locale', $lang);
        App::setLocale($lang);
        return redirect()->back();
    }
}
