<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ClinicCreated extends Mailable
{
    use Queueable, SerializesModels;

    protected $user;
    protected $clinic;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($user, $clinic)
    {
        $this->user = $user;
        $this->clinic = $clinic;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Nouveau compte créé')
            ->view('emails/clinic_created', ['clinic' => $this->clinic]);
    }
}
