<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class PatientFileCreated extends Mailable
{
    use Queueable, SerializesModels;

    protected $patientFile;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($patientFile)
    {
        $this->patientFile = $patientFile;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Nouveau fichier de patient')
            ->view('emails/patient_file_created', ['patientFile' => $this->patientFile]);
    }
}
