<?php

namespace App\Providers;

use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        // 'App\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        // Check for Admin
        // Return true if auth user type is admin
        Gate::define('isAdmin', function($user){
            return $user->user_type == 'admin';
        });

        // Check for Clinic
        // Return true if auth user type is clinic
        Gate::define('isClinic', function($user){
            return $user->user_type == 'clinic';
        });

        // Check for Patient
        // Return true if auth user type is patient
        Gate::define('isPatient', function($user){
            return $user->user_type == 'patient';
        });
    }
}
